Verify the verification code for a list of phone numbers
Verifies the verification code for a list of phone numbers.
POST
/
porting_orders
/
{id}
/
verification_codes
/
verify
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.portingOrders.verificationCodes.verify(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.porting_orders.verification_codes.verify(
id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.PortingOrders.VerificationCodes.Verify(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.PortingOrderVerificationCodeVerifyParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.portingorders.verificationcodes.VerificationCodeVerifyParams;
import com.telnyx.sdk.models.portingorders.verificationcodes.VerificationCodeVerifyResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
VerificationCodeVerifyResponse response = client.portingOrders().verificationCodes().verify("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.porting_orders.verification_codes.verify("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->portingOrders->verificationCodes->verify(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
verificationCodes: [
['code' => '12345', 'phoneNumber' => '+61424000001'],
['code' => '54321', 'phoneNumber' => '+61424000002'],
],
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx porting-orders:verification-codes verify \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request POST \
--url https://api.telnyx.com/v2/porting_orders/{id}/verification_codes/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"verification_codes": [
{
"phone_number": "+61424000001",
"code": "12345"
},
{
"phone_number": "+61424000002",
"code": "54321"
}
]
}
'{
"data": [
{
"id": "52090326-6533-4421-bcf4-bd0117cf3954",
"phone_number": "+61424000001",
"verified": true,
"porting_order_id": "f28e6ecc-29a8-430b-bd0b-d93055f70604",
"created_at": "2020-10-22T15:00:00.000Z",
"updated_at": "2020-10-22T15:00:00.000Z"
},
{
"id": "cf076b8e-645b-4040-8209-543c5909775f",
"phone_number": "+61424000002",
"verified": false,
"porting_order_id": "f28e6ecc-29a8-430b-bd0b-d93055f70604",
"created_at": "2020-10-22T15:00:00.000Z",
"updated_at": "2020-10-22T15:00:00.000Z"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Porting Order id
Body
application/json
A list of phone numbers and their verification codes
Maximum array length:
100Show child attributes
Show child attributes
Response
Successful response
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.portingOrders.verificationCodes.verify(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.porting_orders.verification_codes.verify(
id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.PortingOrders.VerificationCodes.Verify(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.PortingOrderVerificationCodeVerifyParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.portingorders.verificationcodes.VerificationCodeVerifyParams;
import com.telnyx.sdk.models.portingorders.verificationcodes.VerificationCodeVerifyResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
VerificationCodeVerifyResponse response = client.portingOrders().verificationCodes().verify("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.porting_orders.verification_codes.verify("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->portingOrders->verificationCodes->verify(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
verificationCodes: [
['code' => '12345', 'phoneNumber' => '+61424000001'],
['code' => '54321', 'phoneNumber' => '+61424000002'],
],
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx porting-orders:verification-codes verify \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request POST \
--url https://api.telnyx.com/v2/porting_orders/{id}/verification_codes/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"verification_codes": [
{
"phone_number": "+61424000001",
"code": "12345"
},
{
"phone_number": "+61424000002",
"code": "54321"
}
]
}
'{
"data": [
{
"id": "52090326-6533-4421-bcf4-bd0117cf3954",
"phone_number": "+61424000001",
"verified": true,
"porting_order_id": "f28e6ecc-29a8-430b-bd0b-d93055f70604",
"created_at": "2020-10-22T15:00:00.000Z",
"updated_at": "2020-10-22T15:00:00.000Z"
},
{
"id": "cf076b8e-645b-4040-8209-543c5909775f",
"phone_number": "+61424000002",
"verified": false,
"porting_order_id": "f28e6ecc-29a8-430b-bd0b-d93055f70604",
"created_at": "2020-10-22T15:00:00.000Z",
"updated_at": "2020-10-22T15:00:00.000Z"
}
]
}